#navbar {
  font-weight: 300;
}

.navbar {
  margin-bottom: 0;

  & > .container > .navbar-collapse {
    margin-right: -15px;

    nav {
      @media @smalld {
        display: flex;
        justify-content: flex-end;
      }

      ul:first-child {
        @media @tablet {
          width: 100%;
        }

        @media @smalld {
          width: auto;
        }
      }
    }
  }

  .navbar-header {
    padding: 0 1em;
    background: rgba(0, 0, 0, .1);
    height: 91.5px;
    margin-bottom: -100%;
    margin-left: -15px;

    .frontpage-link {
      margin: 0;
      height: 100%;

      .navbar-brand {
        height: 100%;
        padding-left: 0;
        @media @phone-only {
          margin-left: 0;
        }
      }
    }
  }

  &.navbar-default {
    text-align: right;
    border-bottom: none;

    // button for toggle menu in little displays
    .navbar-toggle {
      border: none;
      background: none;
      margin: 0;
      padding: 15px;

      .whistle-blower {
        position: absolute;
        top: 7px;
        right: 10px;
        color: saturate(lighten(@brand-success, @tone*2), @tone);
      }

      &:hover, &:focus {
        .icon-bar {
          background: @much-lighter;
        }
      }

      .icon-bar {
        width: 32px;
        height: 3px;
        background: @lighter;

        + .icon-bar {
          margin-top: 6px;
        }
      }

      &.collapsed {
        .icon-bar {
          background: @lighter;
        }
      }
    }

    .nav {
      margin: 0;
      width: 100%;

      .dropdown-menu.dropdown-menu-right {
        border: none;
        padding: 0;

        li.leaf {
          background: @navbar-default-bg;

          a {
            background-color: @navbar-default-link-hover-bg;
            padding: .6em 1.2em;
            color: #fff;

            &:hover, &:focus, &.active{
              background-color: @little-darker;
            }
          }
        }

        @media @tablet {
          position: absolute;
          width: 200px;
          .box-shadow(0 4px 4px rgba(0, 0, 0, .3));
        }
      }

      // Must be here, before >li
      &.secondary {
        > li {
          > a {
            position: relative;
            color: #fff;
            background-color: @little-darker;
          }
        }
      }

      > li {
        background: none;
        display: block;
        text-align: left;

        > a {
          color: @navbar-default-link-color;
          position: relative;
          z-index: 1;
          .transition(all @transition-speed);

          img {
            vertical-align: bottom;
          }

          &:hover, &:focus, &.active {
            color: @navbar-default-link-hover-color;
            background-color: @navbar-default-link-hover-bg;
            .box-shadow(inset 2px 0 0 0 @nav-item-active-border);
          }

          @media @tablet {
            &.active, &.active-trail, &:hover, &:focus {
              background-color: @navbar-default-link-hover-bg;
              .box-shadow(inset 0 2px 0 0 @nav-item-active-border);
            }
          }
        }

        &.open {
          > a {
            color: @navbar-default-link-hover-color;
            background-color: @navbar-default-link-hover-bg;
            .box-shadow(inset 2px 0 0 0 @nav-item-active-border);

            @media @tablet {
              background-color: @navbar-default-link-hover-bg;
              .box-shadow(inset 0 2px 0 0 @nav-item-active-border);
            }
          }
        }

        @media @tablet {
          float: none;
          display: inline-block;
          text-align: right;
        }
      }

      @media @tablet {
        width: auto;
      }
    }
  }

  .navbar-second {
    .region-navigation {
      margin-right: 15px;

      @media @very-smalld {
        margin-right: -30px;
      }
    }
    .nav {
      display: flex;
      justify-content: space-between;

      > li {
        @media @tablet {
          &:first-child {
            margin-left: auto;
          }
        }

        a {
          .lighter(color, @brand-info, 3);

          &, &:hover, &:focus {
            border: none;
            background: none;
            .box-shadow(none);
          }

          &:hover, &:focus {
            color: #fff;
          }

          &.type-heart {
            .lighter(color, @brand-success, 1);

            &:hover, &:active {
              .lighter(color, @brand-accent, 1);
            }
          }

          @media @phone-only {
            padding: .5em .7em;
            font-size: 1.4em;
          }
        }
      }
    }
  }
}

.navbar-collapse {
  border: none;
  clear: left;
  padding: 0;
  .box-shadow(none);

  @media @tablet {
    &.in {
      overflow: visible;
    }
  }

  @media @very-smalld {
    clear: none;
  }
}

.navbar-static-top {
  z-index: 997;
}

// Limit display of the username to prevent overlapping of the logo by the main menu
@media @tablet {
  .menu.secondary {
    li.first {
      vertical-align: bottom;

      a {
        text-overflow: ellipsis;
        max-width: 175px;
        overflow: hidden;
        white-space: nowrap;
      }
    }
  }
}
